### Property

# Clutter Actor:content-gravity

#### Declaration

    property content-gravity: Clutter.ContentGravity [ read, write ]

#### Description [src]

The alignment that should be honoured by the `ClutterContent` set with the `ClutterActor:content` property.

Changing the value of this property will change the bounding box of the content; you can use the `ClutterActor:content-box` property to get the position and size of the content within the actor’s allocation.

This property is meaningful only for `ClutterContent` implementations that have a preferred size, and if the preferred size is smaller than the actor’s allocation.

The `ClutterActor:content-gravity` property is animatable.

Type:`ClutterContentGravity`

Default value | CLUTTER_CONTENT_GRAVITY_RESIZE_FILL
Getter method | `clutter_actor_get_content_gravity()`
Setter method | `clutter_actor_set_content_gravity()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no